<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeColumnsPropertyExecutiveTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::statement("ALTER TABLE property_executive MODIFY COLUMN property_id int(10) unsigned NOT NULL");
        DB::statement("ALTER TABLE property_executive MODIFY COLUMN executive_type_id int(10) unsigned NOT NULL");
        DB::statement("ALTER TABLE property_executive MODIFY COLUMN name_surname varchar(200) NOT NULL");
        DB::statement("ALTER TABLE property_executive MODIFY COLUMN email varchar(100) DEFAULT NULL ");
        DB::statement("ALTER TABLE property_executive MODIFY COLUMN phone_code varchar(10) DEFAULT NULL ");
        DB::statement("ALTER TABLE property_executive MODIFY COLUMN phone varchar(50) DEFAULT NULL ");
        DB::statement("ALTER TABLE property_executive MODIFY COLUMN extension varchar(10) DEFAULT NULL ");
        DB::statement("ALTER TABLE property_executive MODIFY COLUMN mobile_code varchar(10) DEFAULT NULL ");
        DB::statement("ALTER TABLE property_executive MODIFY COLUMN mobile varchar(50) DEFAULT NULL ");
        DB::statement("ALTER TABLE property_executive MODIFY COLUMN fax_code varchar(10) DEFAULT NULL ");
        DB::statement("ALTER TABLE property_executive MODIFY COLUMN fax varchar(50) DEFAULT NULL ");

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {

    }
}
